Bug 211 - annoying level 0 debugs in auth subsystem
annoying level 0 debugs in auth subsystem
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Config Files
3.0.0preX
Other other
: P2 normal
: none
Assigned To: Andrew Bartlett
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-10 01:21 UTC by Tim Potter
Modified: 2005-08-24 10:21 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Potter 2003-07-10 01:21:09 UTC
[2003/07/10 18:15:27, 0] smbd/server.c:main(747)
  smbd version 3.0.0beta3 started.
  Copyright Andrew Tridgell and the Samba Team 1992-2003
[2003/07/10 18:15:28, 0] smbd/server.c:main(781)
  standard input is not a socket, assuming -D option
[2003/07/10 18:16:00, 0] auth/auth.c:smb_register_auth(48)
  There already is an auth method registered with the name rhosts!
[2003/07/10 18:16:00, 0] auth/auth.c:smb_register_auth(48)
  There already is an auth method registered with the name hostsequiv!
[2003/07/10 18:16:00, 0] auth/auth.c:smb_register_auth(48)
  There already is an auth method registered with the name sam!
[2003/07/10 18:16:00, 0] auth/auth.c:smb_register_auth(48)
  There already is an auth method registered with the name sam_ignoredomain!
[2003/07/10 18:16:00, 0] auth/auth.c:smb_register_auth(48)
  There already is an auth method registered with the name unix!
[2003/07/10 18:16:00, 0] auth/auth.c:smb_register_auth(48)
  There already is an auth method registered with the name winbind!
[2003/07/10 18:16:00, 0] auth/auth.c:smb_register_auth(48)
  There already is an auth method registered with the name smbserver!
[2003/07/10 18:16:00, 0] auth/auth.c:smb_register_auth(48)
  There already is an auth method registered with the name trustdomain!
[2003/07/10 18:16:00, 0] auth/auth.c:smb_register_auth(48)
  There already is an auth method registered with the name ntdomain!
[2003/07/10 18:16:00, 0] auth/auth.c:smb_register_auth(48)
  There already is an auth method registered with the name guest!
[2003/07/10 18:16:00, 0] auth/auth.c:smb_register_auth(48)
  There already is an auth method registered with the name fixed_challenge!
[2003/07/10 18:16:00, 0] auth/auth.c:smb_register_auth(48)
  There already is an auth method registered with the name name_to_ntstatus!
[2003/07/10 18:16:14, 0] auth/auth.c:smb_register_auth(48)
Comment 1 Tim Potter 2003-07-13 18:23:47 UTC
auth_server, auth_unix and auth_winbind are the only modules that make use of
the return value from smb_register_auth()
Comment 2 Andrew Bartlett 2003-07-20 04:08:16 UTC
I understand this was fixed shortly before/after this bug was filed.
Comment 3 Gerald (Jerry) Carter 2005-02-07 08:40:43 UTC
originally reported against 3.0.0beta2.  CLeaning out 
non-production release versions.
Comment 4 Gerald (Jerry) Carter 2005-08-24 10:21:48 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.